com.strongloop.android.remoting.adapters

## Class Adapter.JsonArrayCallback

- java.lang.Object
- - com.strongloop.android.remoting.adapters.Adapter.JsonCallback
  - - com.strongloop.android.remoting.adapters.Adapter.JsonArrayCallback

All Implemented Interfaces:
  Adapter.Callback

Direct Known Subclasses:
  JsonArrayParser

Enclosing class:
  Adapter

    public abstract static class Adapter.JsonArrayCallback
    extends Adapter.JsonCallback

A callback that returns a JSON array. If the return value is not a JSON array or "null", then the `Adapter.Callback.onError(Throwable)` method is called.

### Constructor Summary

Constructors
Constructor and Description
`Adapter.JsonArrayCallback()`

### Method Summary

Methods
`abstract void` `onSuccess(JSONArray response)` The method invoked when the call completes successfully and the response is a JSON array or `null` if the response string is "null".

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.strongloop.android.remoting.adapters.Adapter.Callback

`onError`

### Constructor Detail

#### Adapter.JsonArrayCallback

    public Adapter.JsonArrayCallback()

### Method Detail

#### onSuccess

    public abstract void onSuccess(JSONArray response)

The method invoked when the call completes successfully and the response is a JSON array or `null` if the response string is "null".

Specified by:
  `onSuccess` in interface `Adapter.Callback`
Overrides:
  `onSuccess` in class `Adapter.JsonCallback`
Parameters:
  `response` - The JSON array.